#if !defined(AFX_SETUPSECSGEMRECIPEDLG_H__B840AD65_9749_49B0_BEA2_92DB8D2251FF__INCLUDED_)
#define AFX_SETUPSECSGEMRECIPEDLG_H__B840AD65_9749_49B0_BEA2_92DB8D2251FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupSecsGemRecipeDlg.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CSetupSecsGemRecipeDlg dialog

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

class CMainDoc;

class DLLCLASS CSetupSecsGemRecipeDlg : public CDialog // TISGADD
{
// Construction
public:
    virtual void UploadRecipe();
    virtual void UploadData();
    virtual void UpdatePpid();
    virtual void DownloadRecipe();
    virtual void DownloadData();
    virtual void DeleteRecipe();
    virtual void AddUserRecipe();
    CSetupSecsGemRecipeDlg(CWnd* pParent = NULL); // standard constructor

// Dialog Data
// {{AFX_DATA(CSetupSecsGemRecipeDlg)
    enum {
        IDD = IDD_SETUP_SECSGEM_RECIPE_DIALOG
    };
// NOTE: the ClassWizard will add data members here
// }}AFX_DATA

// Overrides
// ClassWizard generated virtual function overrides
// {{AFX_VIRTUAL(CSetupSecsGemRecipeDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
// }}AFX_VIRTUAL

// Implementation
protected:

// Generated message map functions
// {{AFX_MSG(CSetupSecsGemRecipeDlg)
    afx_msg void OnDeleteRecipe();
    afx_msg void OnDownloadData();
    afx_msg void OnDownloadRecipe();
    afx_msg void OnUpdatePpid();
    afx_msg void OnUploadData();
    afx_msg void OnUploadRecipe();
    afx_msg void OnTimer(UINT nIDEvent);
    virtual BOOL OnInitDialog();
    afx_msg void OnAddUserRecipe();
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    void CreateDlgFont(CString Name = "MS Sans Serif");
    void SetDlgItemFont();

    CFont m_fontLogo;

    CMainDoc *m_pPrjDoc;
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPSECSGEMRECIPEDLG_H__B840AD65_9749_49B0_BEA2_92DB8D2251FF__INCLUDED_)
